package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.EmsPcsBranchData;

/**
 * pcs支路数据Service接口
 *
 * @author xzzn
 * @date 2025-06-29
 */
public interface IEmsPcsBranchDataService
{
    /**
     * 查询pcs支路数据
     *
     * @param id pcs支路数据主键
     * @return pcs支路数据
     */
    public EmsPcsBranchData selectEmsPcsBranchDataById(Long id);

    /**
     * 查询pcs支路数据列表
     *
     * @param emsPcsBranchData pcs支路数据
     * @return pcs支路数据集合
     */
    public List<EmsPcsBranchData> selectEmsPcsBranchDataList(EmsPcsBranchData emsPcsBranchData);

    /**
     * 新增pcs支路数据
     *
     * @param emsPcsBranchData pcs支路数据
     * @return 结果
     */
    public int insertEmsPcsBranchData(EmsPcsBranchData emsPcsBranchData);

    /**
     * 修改pcs支路数据
     *
     * @param emsPcsBranchData pcs支路数据
     * @return 结果
     */
    public int updateEmsPcsBranchData(EmsPcsBranchData emsPcsBranchData);

    /**
     * 批量删除pcs支路数据
     *
     * @param ids 需要删除的pcs支路数据主键集合
     * @return 结果
     */
    public int deleteEmsPcsBranchDataByIds(Long[] ids);

    /**
     * 删除pcs支路数据信息
     *
     * @param id pcs支路数据主键
     * @return 结果
     */
    public int deleteEmsPcsBranchDataById(Long id);

    int insertEmsPcsBranchDataList(List<EmsPcsBranchData> list);
}
